unit BeeGui_SeDeseFrm;

{ Contains:

  beeGUI Select-DeSelect form.

  (C) 2005 Andrew Filinsky, Melchiorre Caruso

  Modifyed:

  v1.0.1 build 9140 - 2005/07/08 Melchiorre Caruso
  v1.0.1 build 9158 - 2005/07/24 Melchiorre Caruso

}

{$R-,Q-,S-}

interface

uses
  Buttons,
  Classes,
  StdCtrls,
  Controls,
  Sysutils,
  ComCtrls,
  Dialogs,

  BeeGui_Forms;  // TBeeGuiCustomForm


type
  TSeDeSeFrm = class (TBGCustomForm)
    SeDeseFrm_Mask_: TLabel;
    SeDeseFrm_Mask: TEdit;

    BtnOk: TBitBtn;
    BtnCancel: TBitBtn;
    SeDeSeFrm_FrmCaptionCB: TComboBox;
  private
    { Private declarations }
    procedure SeDeSeItems (List: TListView; Value: boolean);

  public
    { Public declarations }
    procedure SelectAll (List: TListView);
    procedure SelectItems (List: TListView);
    procedure DeSelectAll (List: TListView);
    procedure DeselectItems (List: TListView);
    procedure InvertSelection (List: TListView);

  end;

var
  SeDeSeFrm: TSeDeSeFrm;

implementation

{$R *.DFM}

procedure TSeDeseFrm.SeDeSeItems;
var
  I: integer;
  Ext, iExt: ansistring;
  Name, iName: ansistring;
begin
  Ext := ExtractFileExt (SeDeseFrm_Mask.Text);
  Name := ChangeFileExt (SeDeseFrm_Mask.Text, '');

  for I := 0 to List.Items.Count -1 do
  begin
    iExt := ExtractFileExt (List.Items [I].Caption);
    iName := ChangeFileExt (List.Items [I].Caption, '');

    if (Ext = '.*') or (AnsiCompareText (Ext, iExt) = 0) then
      if (Name = '*') or (AnsiCompareText (Name, iName) = 0) then
        List.Items [I].Selected := Value;
  end;
end;

procedure TSeDeseFrm.SelectAll;
var
  I: integer;
begin
  for I := 0 to List.Items.Count -1 do
    List.Items [I].Selected := True;
end;

procedure TSeDeseFrm.SelectItems;
begin
  SeDeSeItems (List, True);
end;

procedure TSeDeseFrm.DeSelectAll;
var
  I: integer;
begin
  for I := 0 to List.Items.Count -1 do
    List.Items [I].Selected := False;
end;

procedure TSeDeseFrm.DeselectItems;
begin
  SeDeSeItems (List, False);
end;

procedure TSeDeseFrm.InvertSelection;
var
  I: integer;
begin
  for I := 0 to List.Items.Count -1 do
    List.Items [I].Selected := not List.Items [I].Selected;
end;


end.
